"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OpenApiVersionVerifier = void 0;
const openapi_version_verifier_models_1 = require("./openapi-version-verifier.models");
class OpenApiVersionVerifier {
    getOpenApiVersion(openapi) {
        const version = openapi.openapi;
        const avaliableVersion = Object.values(openapi_version_verifier_models_1.OpenApiVersion).find(availableVersion => version.startsWith(availableVersion));
        if (avaliableVersion != undefined)
            return avaliableVersion;
        throw new Error(`The openapi version ${version} is not supported`);
    }
}
exports.OpenApiVersionVerifier = OpenApiVersionVerifier;
