import { OpenAPIV3_1, OpenAPIV3 } from 'openapi-types';
export declare type OpenAPIVX = OpenAPIV3_1.Document | OpenAPIV3.Document;
export declare type PropType<TObj, TProp extends keyof TObj> = TObj[TProp];
export declare type ArrayElement<ArrayType extends readonly unknown[]> = ArrayType extends readonly (infer ElementType)[] ? ElementType : never;
export declare type PathWithOperationId = OpenAPIV3_1.OperationObject & Required<Pick<OpenAPIV3_1.OperationObject, 'operationId'>>;
export declare enum RouteTypeTag {
    PathParams = "PathParams",
    QueryParams = "QueryParams",
    RequestBody = "RequestBody",
    ReplyBody = "ReplyBody"
}
export declare type AnyObjectType = OpenAPIV3_1.ReferenceObject | OpenAPIV3_1.ParameterObject | OpenAPIV3_1.SchemaObject | OpenAPIV3_1.ResponseObject | OpenAPIV3_1.ExampleObject | OpenAPIV3_1.RequestBodyObject | OpenAPIV3_1.HeaderObject | OpenAPIV3_1.SecuritySchemeObject | OpenAPIV3_1.LinkObject | OpenAPIV3_1.CallbackObject | OpenAPIV3_1.PathItemObject | OpenAPIV3_1.ArraySchemaObject;
